#58 closed defect (fixed)

libcpu sh7750 compile error

Reported by: Joel Sherrill Owned by: Ralf Corsepius
Priority: normal Milestone: 2
Component: bsps Version: unknown
Severity: major Keywords:
Cc: bugs@…, joel.sherrill@… Blocked By:
Blocking:

Description

This is the compile error. Probably the result of a
merger of differences in the last snapshot and Oktet's
local tree.

sh-rtems-gcc --pipe -B../../../../../../../ -B../../../../../../../gensh4/lib/ -
specs bsp_specs -qrtems -m4 -ml -O4 -g -Wall -o o-optimize/sh4uart.o
-c ../../../../../../../../../current/c/src/lib/libcpu/sh/sh7750/sci/sh4uart.c
../../../../../../../../../current/c/src/lib/libcpu/sh/sh7750/sci/sh4uart.c: In
function `sh4uart_set_baudrate':
../../../../../../../../../current/c/src/lib/libcpu/sh/sh7750/sci/sh4uart.c:207:

`SH7750_SCSMR_CKS_S' undeclared (first use in this function)

../../../../../../../../../current/c/src/lib/libcpu/sh/sh7750/sci/sh4uart.c:207:

(Each undeclared identifier is reported only once

../../../../../../../../../current/c/src/lib/libcpu/sh/sh7750/sci/sh4uart.c:207:

for each function it appears in.)

../../../../../../../../../current/c/src/lib/libcpu/sh/sh7750/sci/sh4uart.c:165:

warning: `div' might be used uninitialized in this function

Release:
RTEMS CVS

Environment:
gensh4

Attachments (1)

sh7750_regs.h (85.3 KB) - added by Joel Sherrill on Dec 3, 2006 at 1:31:12 PM.
sh7750_regs.h

Download all attachments as: .zip

Change History (3)

comment:1 Changed on Oct 27, 2001 at 6:56:59 PM by Joel Sherrill

Owner: changed from joel to ralf

comment:2 Changed on Oct 28, 2001 at 9:53:44 PM by Joel Sherrill

Status: assignedclosed

State-Changed-From-To: analyzed->closed
State-Changed-Why: Fix applied, compiled, and committed.

Changed on Dec 3, 2006 at 1:31:12 PM by Joel Sherrill

Attachment: sh7750_regs.h added

sh7750_regs.h

Note: See TracTickets for help on using tickets.